mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Runtime.InteropServices.ComVisible(true)

information will be most informative with Debug build configurations. By default, Debug builds include debug symbols, while Release builds do not. The debug symbols contain most of the file, method name, line number, and column information used in constructing and objects.

might not report as many method calls as expected, due to code transformations that occur during optimization.

Represents a stack trace, which is an ordered collection of one or more stack frames.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  The is created with the caller's current thread, and does not contain file name, line number, or column information.

  Use this default constructor when you want a complete trace with only summary method information about the call stack.

  Initializes a new instance of the class from the caller's frame.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  The is created with the caller's current thread.

  Initializes a new instance of the class from the caller's frame, optionally capturing source information.

  true to capture the file name, line number, and column number; otherwise, false.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  Use this constructor when you do not want the overhead of a full stack trace.

  Initializes a new instance of the class that contains a single frame.

  The frame that the object should contain.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  The is created with the caller's current thread, and does not contain file name, line number, or column information.

  The resulting stack trace describes the stack at the time of the exception.

  Initializes a new instance of the class using the provided exception object.

  The exception object from which to construct the stack trace.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  The is created with the caller's current thread, and does not contain file name, line number, or column information.

  If the number of frames to skip is greater than or equal to the total number of frames on the call stack at the time the instance is created, the will contain no frames.

  Initializes a new instance of the class from the caller's frame, skipping the specified number of frames.

  The number of frames up the stack from which to start the trace.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  The resulting stack trace describes the stack at the time of the exception.

  Initializes a new instance of the class, using the provided exception object and optionally capturing source information.

  The exception object from which to construct the stack trace.
  true to capture the file name, line number, and column number; otherwise, false.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  The does not contain file name, line number, or column information.

  The resulting stack trace describes the stack at the time of the exception.

  If the number of frames to skip is greater than or equal to the total number of frames on the call stack at the time the instance is created, the will contain no frames.

  Initializes a new instance of the class using the provided exception object and skipping the specified number of frames.

  The exception object from which to construct the stack trace.
  The number of frames up the stack from which to start the trace.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  If the number of frames to skip is greater than or equal to the total number of frames on the call stack at the time the instance is created, the will contain no frames.

  Initializes a new instance of the class from the caller's frame, skipping the specified number of frames and optionally capturing source information.

  The number of frames up the stack from which to start the trace.
  true to capture the file name, line number, and column number; otherwise, false.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Obsolete

  Do not use this constructor. It is obsolete, and there is no recommended alternative. When you suspend a thread, you have no way of knowing what code it is executing, and deadlocks can occur very easily. For example, if you suspend a thread while it holds locks during a security permission evaluation, other threads in the might be blocked. If you suspend a thread while it is executing a class constructor, other threads in the that attempt to use that class are blocked.

  Initializes a new instance of the class for a specific thread, optionally capturing source information.

  Do not use this constructor overload.

  The thread whose stack trace is requested.
  true to capture the file name, line number, and column number; otherwise, false.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  The resulting stack trace describes the stack at the time of the exception.

  If the number of frames to skip is greater than or equal to the total number of frames on the call stack at the time the instance is created, the will contain no frames.

  Initializes a new instance of the class using the provided exception object, skipping the specified number of frames and optionally capturing source information.

  The exception object from which to construct the stack trace.
  The number of frames up the stack from which to start the trace.
  true to capture the file name, line number, and column number; otherwise, false.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added: an object of type 'int' To be added

  Gets the number of frames in the stack trace.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Diagnostics.StackFrame ``

  Stack frames are numbered starting at 0, which is the last stack frame pushed.

  Gets the specified stack frame.

  The specified stack frame.

  The index of the stack frame requested.
- Method
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(false)
  System.Diagnostics.StackFrame[]

  Use the returned array to enumerate and examine function calls in the . The length of the returned array is equal to the property value.

  The array elements are in reverse chronological order. The at array index 0 represents the most recent function call in the stack trace and the last frame pushed onto the call stack. The at array index minus 1 represents the oldest function call in the stack trace and the first frame pushed onto the call stack.

  Use the method to obtain all stack frames in a stack trace; use the method to obtain a specific stack frame in a stack trace. The indexes are ordered alike by the two methods. For example, the at index 0 in the array returned by is equivalent to the returned by with an input index of 0.

  Returns a copy of all stack frames in the current stack trace.

  An array of type representing the function calls in the stack trace.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 0

  The default value for the number of methods to skip at the beginning of the stack trace. The value of this constant is 0.

  Defines the default for the number of methods to omit from the stack trace. This field is constant.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added.

  Builds a readable representation of the stack trace.

  A readable representation of the stack trace.